import { PayloadAction } from '@reduxjs/toolkit';
import { ReportState } from '../../plugins/reports/state/reducer';
import { ILoadReportsConfig, IRenderReportsConfig, ISendReportConfig, IUpdateReportsConfig } from './interfaces';
export declare type ReportStateKeys = keyof Omit<ReportState, 'context'>;
export declare function loadReports({ payload }: PayloadAction<ILoadReportsConfig>): Generator<import("redux-saga/effects").CallEffect<void>, void, unknown>;
export declare function loadReportById({ payload }: PayloadAction<string>): Generator<import("redux-saga/effects").CallEffect<void>, void, unknown>;
export declare function renderReportById({ payload }: PayloadAction<IRenderReportsConfig>): Generator<import("redux-saga/effects").CallEffect<void>, void, unknown>;
export declare function updateReportById({ payload }: PayloadAction<IUpdateReportsConfig>): Generator<import("redux-saga/effects").CallEffect<void>, void, unknown>;
export declare function generateReportById({ payload }: PayloadAction<IRenderReportsConfig>): Generator<import("redux-saga/effects").CallEffect<void>, void, unknown>;
export declare function sendReportById({ payload }: PayloadAction<ISendReportConfig>): Generator<import("redux-saga/effects").CallEffect<void>, void, unknown>;
//# sourceMappingURL=ReportsApi.d.ts.map