import React from 'react';
import './styles/style.scss';
import { HeaderProps, RowsData } from '../reducer';
export interface TableContentProps {
    isDemonstration?: boolean;
    handleKeyFilter: Function;
    handleSelect: Function;
    createFilterObj: Function;
    handleFilterValueChange: Function;
    filterData: Function;
    toggleSelection: (key: string, shiftKeyPressed: boolean, row: any) => void;
    handleSorting: (col: {}, sortBy: string) => void;
    loadData: () => void;
    fetchMoreItems: () => void;
    toggleAll: () => void;
    paginationMode: string;
    sortDirection: string;
    sortBy: string;
    isLoading?: boolean;
    isFetchMore?: boolean;
    selectAll: boolean;
    selection?: string[];
    headerProps: HeaderProps[];
    rowsData: RowsData[];
    filter?: {
        key: string;
        value: string;
        obj: string | {};
        type: string;
    };
}
export default class TableSemanticContent extends React.Component<TableContentProps, {}> {
    state: {
        expanded: never[];
    };
    tableWrapperRef: React.RefObject<any>;
    constructor(props: TableContentProps);
    componentDidMount(): void;
    showMoreInfoToggle: (_id: string) => void;
    getRow: (col: any, row: any) => any;
    render(): JSX.Element;
}
//# sourceMappingURL=table-semantic-content.d.ts.map