import React, { ContextType } from 'react';
import { AuthContext } from '../AuthContext';
export declare type IProfileMFASettings = {};
declare type IProfileMFASettingsState = {
    showMfaDialog: boolean;
};
export declare class ProfileMFASettings extends React.Component<IProfileMFASettings, IProfileMFASettingsState> {
    static contextType: React.Context<import("../AuthContext").IAuthContext>;
    context: ContextType<typeof AuthContext> | null;
    state: {
        showMfaDialog: boolean;
    };
    enrollMfa: () => void;
    disableMfa: () => void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ProfileMFASettings.d.ts.map