export interface KeyValuePair {
    key: string;
    value: string;
}
export interface FronteggOptions {
    baseUrl: string;
    tokenResolver: () => string;
    additionalQueryParamsResolver?: () => KeyValuePair[];
    additionalHeadersResolver?: () => KeyValuePair[];
}
export default class Config {
    private static instance;
    private options;
    private constructor();
    token(): Promise<string>;
    get baseUrl(): string;
    additionalQueryParams(): Promise<KeyValuePair[]>;
    additionalHeaders(): Promise<KeyValuePair[]>;
    static getInstance(): Config;
    static init(options: FronteggOptions): void;
}
//# sourceMappingURL=index.d.ts.map