declare type TCustomData = {
    birthDate: string;
    country: string;
};
export interface IBasicData {
    name: string;
    id: string;
    profileImageUrl: string;
    tenantId: string;
    customData: TCustomData;
    email: string;
}
export interface IUpdateBasicData {
    name: string;
    customData: TCustomData;
}
export interface IResetPassword {
    newPassword: string;
}
export interface IUploadPhoto {
    profileImage: string;
}
export {};
//# sourceMappingURL=index.d.ts.map