import React from 'react';
import { ISlackState } from '../slackTypes';
import { Dispatch } from '@reduxjs/toolkit';
import { RouteComponentProps } from 'react-router-dom';
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    getListOfEvents: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    deleteSubscription: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & (<PT extends string>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    getSlackChannels: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
};
declare const mapStateToProps: ({ isLoading, subscription, channels }: ISlackState) => {
    isLoading: boolean;
    subscription: import("../slackTypes").ISubscription | undefined;
    channels: import("../slackTypes").ISlackChanel[];
};
declare type TDispatchProps = ReturnType<typeof mapDispatchProps>;
declare type TStateToProps = ReturnType<typeof mapStateToProps>;
declare type TSlackSubscriptionsListComponent = RouteComponentProps & TStateToProps & TDispatchProps;
declare class SlackSubscriptionsListComponent extends React.Component<TSlackSubscriptionsListComponent> {
    componentDidMount(): void;
    componentDidUpdate({ isLoading: prevIsLoading }: TSlackSubscriptionsListComponent): void;
    onCreateNew: () => void;
    onEdit: (id: string) => void;
    onDelete: (id: string) => void;
    render(): JSX.Element;
}
export declare const SlackSubscriptionsList: React.ComponentClass<Pick<Pick<TSlackSubscriptionsListComponent, "history" | "location" | "match" | "staticContext">, never>, any> & import("react-router").WithRouterStatics<import("react-redux").ConnectedComponent<typeof SlackSubscriptionsListComponent, Pick<TSlackSubscriptionsListComponent, "history" | "location" | "match" | "staticContext">>>;
export {};
//# sourceMappingURL=slackSubscriptionsList.d.ts.map