import React from 'react';
import { HeaderProps } from 'semantic-ui-react';
import { IWebhook } from './types/webhooks';
interface IWebHooksTableProps {
    mountNode?: any;
    webhooks: IWebhook[];
    headerProps: HeaderProps[];
    deleteWebhookAction: (v: string) => void;
    updateWebhookIsActiveAction: Function;
}
declare enum EField {
    displayName = "displayName",
    eventKeys = "eventKeys",
    invocations = "invocations",
    createdAt = "createdAt",
    isActive = "isActive"
}
interface IWebHooksTableState {
    openModal: string | null;
    sort: {
        field: EField;
        reverse: boolean;
    };
}
export declare class WebHooksList extends React.Component<IWebHooksTableProps, IWebHooksTableState> {
    state: {
        openModal: null;
        sort: {
            field: EField;
            reverse: boolean;
        };
    };
    closeModal: () => void;
    getRow: (col: HeaderProps, webhook: any) => JSX.Element;
    handleChangeSort: (field: EField) => void;
    sortWebhooks: (webhooks: IWebhook[]) => IWebhook[];
    isFieldReverse: (field: EField) => boolean;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=webhooks-list.d.ts.map