import React, { FunctionComponent } from 'react';
import { ITable, ITableCell } from './interfaces';
export default class SemanticTable<T, ID> extends React.Component<ITable<T, ID>> {
    cells: {
        [P in keyof T]: FunctionComponent<ITableCell<T, ID>>;
    };
    constructor(props: ITable<T, ID>);
    buildCells: () => {
        [x: string]: React.NamedExoticComponent<ITableCell<T, any, ID>>;
    };
    getRowData: (index: number) => () => T;
    componentDidUpdate(prevProps: ITable<T, ID>): void;
    render(): JSX.Element;
}
//# sourceMappingURL=SemanticTable.d.ts.map