import React from 'react';
import { DataFilter, DataFilterMultiSelect, DataFilterNumber, DataFilterSelect, DataFilterText } from '../../../api/ReportsApi';
export interface ReportsParametersProps {
    dataFilters: {
        type: string;
        config: DataFilter;
    }[];
    filters: any;
    handleParameterChanged: (newState: any) => void;
}
export declare class ReportsParameters extends React.Component<ReportsParametersProps> {
    generateTextParameter: ({ name, label, defaultValue, placeholder, validation, validationError }: DataFilterText, handleParameterChanged: (state: any) => void) => JSX.Element;
    generateNumberParameter: ({ name, label, defaultValue, placeholder }: DataFilterNumber, handleParameterChanged: (state: any) => void) => JSX.Element;
    generateSelectParameter: ({ name, label, defaultValue, placeholder, options }: DataFilterSelect, handleParameterChanged: (state: any) => void) => JSX.Element;
    generateMultiSelectParameter: ({ name, label, defaultValue, placeholder, options }: DataFilterMultiSelect, handleParameterChanged: (state: any) => void) => JSX.Element;
    generateParameters: (dataFilters: DataFilter[]) => (JSX.Element | null)[];
    render(): (JSX.Element | null)[];
}
//# sourceMappingURL=ReportsParameters.d.ts.map