import React from 'react';
import { IPageHeader } from '../../../components/PageHeader';
import { ISearchComponent } from '../../../components/SearchComponent';
import { IReportsTable } from '../components/ReportsTable';
import { ComponentsTypesWithProps } from '../../../providers/DynamicComponent';
declare type Components = {
    PageHeader: IPageHeader;
    SearchComponent: ISearchComponent;
    ReportsTable: IReportsTable;
};
export interface IReportsListPage {
    components?: ComponentsTypesWithProps<Components>;
}
export declare const ReportsListPage: {
    new (props: Readonly<Pick<IReportsListPage & {
        loadReports: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            };
        } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
            payload: import("../../../api/ReportsApi").ILoadReportsConfig;
        });
    }, "components">>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<IReportsListPage & {
        loadReports: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            };
        } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
            payload: import("../../../api/ReportsApi").ILoadReportsConfig;
        });
    }, "components">, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsListPage & {
            loadReports: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../api/ReportsApi").ILoadReportsConfig;
                };
            } & ((payload?: import("../../../api/ReportsApi").ILoadReportsConfig | undefined) => import("redux").Action<string> & {
                payload: import("../../../api/ReportsApi").ILoadReportsConfig;
            });
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
export {};
//# sourceMappingURL=ReportsListPage.d.ts.map