import React from 'react';
export declare type IReportGenerateTab = {};
export declare const ReportGenerateTab: {
    new (props: Readonly<Pick<{
        reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
        generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
        generateReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        });
        debounceRenderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        });
        sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
        sendReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").ISendReportConfig;
        });
    }, never>>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<{
        reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
        generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
        generateReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        });
        debounceRenderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        });
        sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
        sendReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").ISendReportConfig;
        });
    }, never>, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<{
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            generatingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            generateReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            debounceRenderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
            sendingReportById: import("../../../../helpers/sagaHelpers").LoadDataType<null>;
            sendReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").ISendReportConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").ISendReportConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").ISendReportConfig;
            });
        }, never>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
//# sourceMappingURL=ReportGenerateTab.d.ts.map