import React from 'react';
import { ContextOptions } from './context';
export declare type CommonApiProps = {
    rootDir?: string;
    context: ContextOptions;
};
export declare type RequirePartial<T, KP> = Partial<T> & {
    [K in keyof KP]-?: K extends keyof T ? T[K] : never;
};
export declare const CommonApi: <P extends CommonApiProps>(Component: React.Provider<P>) => React.ComponentType<P>;
//# sourceMappingURL=CommonApi.d.ts.map