import React, { ComponentType } from 'react';
export declare class EmptyRender extends React.Component<any, any> {
    render(): null;
}
export declare type ComponentsTypesWithProps<E> = {
    [P in keyof Partial<E>]: ComponentType<E[P]> | E[P] | null;
};
export declare type ComponentsTypes<E> = {
    [P in keyof E]: ComponentType<E[P]>;
};
export declare function memoEqual(prevProps: any, nextProps: any): boolean;
export declare function memoEqualNoChildren(prevProps: any, nextProps: any): boolean;
export declare const buildDynamicComponent: <T extends {}, P>(components: Partial<P> | null | undefined, component: keyof P, DefaultComponent: React.ComponentType<any>) => any;
export declare const buildPropsComponents: <P>(components: any, defaultComponents: P) => P;
//# sourceMappingURL=DynamicComponent.d.ts.map