import React, { FC, ReactElement, ReactNode } from 'react';
import './style.scss';
import { TabProps } from 'semantic-ui-react';
export interface IPageHeader {
    className?: string;
    title: ReactNode | string;
    titleClassName?: string;
    subTitle?: string | ReactElement;
    childClassName?: string;
    tabs?: TabProps;
    onBackButtonClick?: (e: React.MouseEvent) => void;
    centerChildren?: ReactNode;
}
export declare const PageHeader: FC<IPageHeader>;
//# sourceMappingURL=PageHeader.d.ts.map