import React from 'react';
import { Dispatch } from 'redux';
import './style.scss';
import { SearchProps } from 'semantic-ui-react';
declare class Search extends React.Component<DispatchProps & StateToProps, {}> {
    private timeout;
    state: {
        searchTerm: string;
        showPanel: boolean;
        filterEnabled: boolean;
        filterName: string;
        filterText: string;
    };
    toggleFilter(filterKey: any, filterEnabled: any): void;
    createFilterObject(e: any): void;
    getTimeValue(time: any): any;
    private findFilterName;
    onSearchChanged(e: any): void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    exportPDF: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends import("../reducer").Filter>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    exportCSV: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends import("../reducer").Filter>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    filterData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT_1 extends import("../reducer").Filter>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    textSearch: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_2 extends unknown>(payload?: PT_2 | undefined): import("redux").Action<string> & {
            payload: PT_2;
        };
    };
    removeFilter: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT_1 extends import("../reducer").Filter>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    deleteAudits: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT_1 extends import("../reducer").Filter>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
};
declare const mapStateToProps: (state: any) => {
    filters: import("../reducer").Filter[];
    metadata: any;
};
declare type DispatchProps = ReturnType<typeof mapDispatchProps>;
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof Search, Pick<{
    exportPDF: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends import("../reducer").Filter>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    exportCSV: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends import("../reducer").Filter>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    filterData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT_1 extends import("../reducer").Filter>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    textSearch: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_2 extends unknown>(payload?: PT_2 | undefined): import("redux").Action<string> & {
            payload: PT_2;
        };
    };
    removeFilter: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT_1 extends import("../reducer").Filter>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    deleteAudits: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT_1 extends import("../reducer").Filter>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
} & {
    filters: import("../reducer").Filter[];
    metadata: any;
}, never> & SearchProps>;
export default _default;
//# sourceMappingURL=index.d.ts.map