/// <reference types="node" />
import React from 'react';
import './style.scss';
import { ErrorComponent } from '../../types';
import { AuditsState } from '../reducer';
export interface TableProps {
    hideStatistics?: boolean;
    paginationMode?: string;
    errorComponent?: ErrorComponent;
    isDemonstration?: boolean;
}
declare class Table extends React.Component<TableProps & StateToProps, {}> {
    intervalUpdate?: NodeJS.Timeout;
    state: {
        date: Date;
    };
    componentDidMount(): void;
    componentDidUpdate(prevProps: TableProps & StateToProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
declare const mapStateToProps: ({ rowsData, isLoading }: AuditsState) => {
    rowsData: import("../reducer").RowsData[];
    isLoading: boolean;
};
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof Table, Pick<TableProps & {
    rowsData: import("../reducer").RowsData[];
    isLoading: boolean;
}, "hideStatistics" | "paginationMode" | "errorComponent" | "isDemonstration"> & TableProps>;
export default _default;
//# sourceMappingURL=index.d.ts.map