import React from 'react';
import { AuditsState } from '../../reducer';
export interface TableIpAdressComponentProps {
    ip: string;
}
export interface TableIpAdressComponentState {
    loading: boolean;
    data: {
        latitude: number;
        longitude: number;
        city: string | null;
        country_name: string | null;
        zip: string | null;
        location: {
            country_flag?: string | null;
            country_flag_emoji?: string | null;
        };
    };
    showSubMenu: boolean;
    mountNode: Node | null;
}
declare class TableIpAdressComponent extends React.Component<TableIpAdressComponentProps & StateToProps, TableIpAdressComponentState> {
    private node;
    private ipRef;
    private ipAddressRef;
    state: {
        loading: boolean;
        data: {
            latitude: number;
            longitude: number;
            city: null;
            country_name: null;
            zip: null;
            location: {
                country_flag: undefined;
                country_flag_emoji: undefined;
            };
        };
        showSubMenu: boolean;
        mountNode: null;
    };
    closeSubMenuOnScroll: () => false | void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    loadIpAddressMetadata(): Promise<void>;
    componentDidUpdate(prevProps: {
        ip: string;
    }): void;
    onClickOut: (event: MouseEvent) => void;
    renderItems: (key: string) => JSX.Element | undefined;
    validateData: (data: any) => boolean;
    getPopupPosition: () => {
        top: number;
    };
    render(): JSX.Element;
}
declare const mapStateToProps: (state: AuditsState) => {
    context: import("../../../../providers/context").ContextOptions | null;
};
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof TableIpAdressComponent, Pick<TableIpAdressComponentProps & {
    context: import("../../../../providers/context").ContextOptions | null;
}, "ip">>;
export default _default;
//# sourceMappingURL=table-ip-address-component.d.ts.map