import React from 'react';
import './bigButton.scss';
export interface IBigButtonItem {
    icon: string;
    help: string;
    title: string;
    value: string;
    backgroundColor: string;
    disabled?: boolean;
}
interface IBigButton {
    name: string;
    value: string;
    buttons: IBigButtonItem[];
    onChange(event: React.ChangeEvent<any>): void;
}
interface IBigButtonState {
    mountNode: null | HTMLDivElement;
}
export declare class BigButtons extends React.Component<IBigButton, IBigButtonState> {
    divRef: React.RefObject<HTMLInputElement>;
    state: {
        mountNode: null;
    };
    constructor(props: IBigButton);
    componentDidMount(): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=BigButtons.d.ts.map