import React, { FC } from 'react';
import './switcher.scss';
export interface ISwitcherButton {
    label: string;
    value: string;
}
interface ISwitcher {
    name: string;
    value: string;
    disabled?: boolean;
    style?: 'yellow' | 'gray' | 'red';
    buttons: ISwitcherButton[];
    className?: string;
    onChange(event: React.ChangeEvent<any>): void;
}
export declare const Switcher: FC<ISwitcher>;
export {};
//# sourceMappingURL=Switcher.d.ts.map