import React from 'react';
import { ContextOptions } from '../../providers/context/index';
import { Dispatch } from 'redux';
import { ProfileState } from './reducer';
import './styles/index.scss';
interface ProfileContainerProps {
    context?: ContextOptions;
}
interface ProfileContainerState {
    currentTab: string;
}
declare class ProfileContainer extends React.Component<ProfileContainerProps & StateToProps & DispatchProps, ProfileContainerState> {
    state: {
        currentTab: string;
    };
    componentDidMount(): Promise<void>;
    onChangeTab(tab: string): void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    loadProfileData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
};
declare const mapStateToProps: ({ isLoading }: ProfileState) => {
    isLoading: boolean;
};
declare type DispatchProps = ReturnType<typeof mapDispatchProps>;
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof ProfileContainer, Pick<ProfileContainerProps & {
    isLoading: boolean;
} & {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    loadProfileData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
}, "context"> & ProfileContainerProps>;
export default _default;
//# sourceMappingURL=profile-container.d.ts.map