import React from 'react';
import { Dispatch } from '@reduxjs/toolkit';
import { ISlackState } from '../slackTypes';
declare type TSlackAuthProps = TStateToProps & TDispatchProps;
declare class SlackAuthComponent extends React.Component<TSlackAuthProps> {
    private scope;
    private redirectURL;
    constructor(props: TSlackAuthProps);
    componentDidMount(): void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    getScopeData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
};
declare const mapStateToProps: ({ clientId, isLoading }: ISlackState) => {
    isLoading: boolean;
    clientId: string | undefined;
};
declare type TDispatchProps = ReturnType<typeof mapDispatchProps>;
declare type TStateToProps = ReturnType<typeof mapStateToProps>;
export declare const SlackAuth: import("react-redux").ConnectedComponent<typeof SlackAuthComponent, Pick<TSlackAuthProps, never>>;
export {};
//# sourceMappingURL=slackAuth.d.ts.map