import React from 'react';
import { Dispatch } from 'redux';
import { ISlackState } from './slackTypes';
import { ContextOptions } from '../../providers/context';
import './style.scss';
interface ISlackContainer {
    context?: ContextOptions;
}
declare class SlackContainerClass extends React.Component<ISlackContainer & TDispatchProps & TStateToProps> {
    componentDidMount(): void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    getSlackChannels: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
};
declare const mapStateToProps: ({}: ISlackState) => {};
declare type TDispatchProps = ReturnType<typeof mapDispatchProps>;
declare type TStateToProps = ReturnType<typeof mapStateToProps>;
export declare const SlackContainer: import("react-redux").ConnectedComponent<typeof SlackContainerClass, Pick<ISlackContainer & {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    getSlackChannels: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
}, "context"> & ISlackContainer>;
export {};
//# sourceMappingURL=slackContainer.d.ts.map