import { ISlackState, ISubscription, ISlackChanel, ICategoryEvent, ICreateOrUpdateData } from './slackTypes';
export declare const initialState: ISlackState;
declare const reducer: import("redux").Reducer<ISlackState, import("redux").AnyAction>;
export declare const deleteSubscriptionAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & (<PT extends string>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare const deleteNotificationAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: {
            itemId: string;
            eventKey: string;
        };
    };
} & (<PT extends {
    itemId: string;
    eventKey: string;
}>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export { reducer };
export declare const setContext: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setCodeAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & ((code: string) => import("redux").Action<string> & {
    payload: string;
}), scopeDataSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: {
            clientId: string | undefined;
        };
    };
} & ((__0: {
    clientId?: string | undefined;
}) => import("redux").Action<string> & {
    payload: {
        clientId: string | undefined;
    };
}), getItemsDataAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), getScopeDataAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), getItemsDataSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: ICategoryEvent[];
    };
} & ((payload: ICategoryEvent[]) => import("redux").Action<string> & {
    payload: ICategoryEvent[];
}), setCodeSuccessAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), getListOfEventsAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), getListOfEventsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: ISubscription | undefined;
    };
} & ((payload?: ISubscription | undefined) => import("redux").Action<string> & {
    payload: ISubscription | undefined;
}), getSlackChannelsAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), getSlackChannelsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: ISlackChanel[];
    };
} & ((payload: ISlackChanel[]) => import("redux").Action<string> & {
    payload: ISlackChanel[];
}), createOrUpdateSubscriptionAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: ICreateOrUpdateData;
    };
} & ((payload: ICreateOrUpdateData) => import("redux").Action<string> & {
    payload: ICreateOrUpdateData;
}), createOrUpdateSubscriptionSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
});
//# sourceMappingURL=slackReducer.d.ts.map