import React from 'react';
interface Iprops {
    isTesting: boolean;
    testResult: {
        body: string | object;
        code: number;
    } | null;
    onCloseResult(): void;
    testFunction: (url: string, secret?: string, payload?: string) => void;
    url: string;
    secret: string;
}
interface IState {
    modalOpen: boolean;
    testStatus: string;
    mountNode: Node | null;
    payload: string | undefined;
    isPayloadValid: boolean;
}
export declare class TestButton extends React.Component<Iprops, IState> {
    state: IState;
    onModalClose: () => void;
    validateStatus: (status: string | number) => "Success" | "Failed";
    componentDidMount(): void;
    componentDidUpdate(prevProps: Iprops, prevState: IState): void;
    modifyResponseBody: () => {
        type: string;
        data: string;
    };
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=test-button.d.ts.map