export interface IWebhook {
    _id: string;
    displayName: string;
    description: string;
    eventKeys: {
        [key: string]: string;
    }[] | string | any;
    url: string;
    secret: string;
    invocations: {
        count: string;
        period: string;
        percents: string;
    };
    createdAt: string;
    updatedAt: string;
    isActive: boolean;
}
export interface IWebHookLog {
    id: string;
    body: string;
    vendorId: string;
    tenantId: string;
    createdAt: string;
    webhookId: string;
    statusCode: string;
}
//# sourceMappingURL=webhooks.d.ts.map