import React from 'react';
import { Dispatch } from 'redux';
import { WebHooksState } from './reducer';
import './styles/webhooks.scss';
declare class WebHooksListContainer extends React.Component<TMapStateToProps & TMapDispatchToProps, {}> {
    divRef: React.RefObject<HTMLInputElement>;
    state: {
        mountNode: null;
        searchQuery: string;
    };
    constructor(props: TMapStateToProps & TMapDispatchToProps);
    componentDidMount(): void;
    onSearchWebhook: (e: React.ChangeEvent<HTMLInputElement>) => void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    deleteWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & (<PT extends string>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    updateWebhookIsActiveAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./types/webhooks").IWebhook;
        };
    } & (<PT_1 extends import("./types/webhooks").IWebhook>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
};
declare type TMapDispatchToProps = ReturnType<typeof mapDispatchProps>;
declare type TMapStateToProps = Pick<WebHooksState, 'webhooks' | 'isLoading' | 'headerProps'> & {
    error?: {
        [key: string]: string;
    };
};
declare const _default: import("react-redux").ConnectedComponent<typeof WebHooksListContainer, Pick<Pick<WebHooksState, "webhooks" | "isLoading" | "headerProps"> & {
    error?: {
        [key: string]: string;
    } | undefined;
} & {
    deleteWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & (<PT extends string>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    updateWebhookIsActiveAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./types/webhooks").IWebhook;
        };
    } & (<PT_1 extends import("./types/webhooks").IWebhook>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
}, never>>;
export default _default;
//# sourceMappingURL=webhooks-list-container.d.ts.map