import React from 'react';
import { HeaderProps } from 'semantic-ui-react';
import { IWebHookLog } from './types/webhooks';
interface ILogs {
    error: any;
    webhookId?: string;
    webhookLogs: IWebHookLog[];
    limitTableSize: number;
    webhookLogsCount: number;
    loadWebhookLogsAction: (data: Record<string, any>) => void;
}
interface ILogsState {
    page: number;
    mountNode: Node | null;
    showInfo?: IWebHookLog;
}
export default class Logs extends React.Component<ILogs, ILogsState> {
    state: ILogsState;
    componentDidMount(): void;
    validateStatus: (status: React.ReactText) => "success" | "failed";
    getRow: (col: HeaderProps, row: any) => JSX.Element;
    columnWidth: (idx: number) => 10 | undefined;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=webhooks-logs.d.ts.map