import './styles/index.scss';
import React from 'react';
import { Dispatch } from 'redux';
import { Iprops as IndexIprops } from './index';
import { Istate } from './reducer';
import { ContextOptions } from '../../providers/context';
export interface Iprops extends IndexIprops {
    context: ContextOptions;
}
declare class WebpushContainer extends React.Component<Iprops & StateToProps & DispatchProps> {
    swReg: any;
    state: {
        selectRemindMeLaterTime: boolean;
        animationClass: undefined;
    };
    constructor(props: Iprops & StateToProps & DispatchProps);
    registerSW: () => Promise<void>;
    shouldRemind: () => boolean;
    callIfFunction: (func?: any, ...args: any) => void;
    subscribe: () => Promise<void>;
    handleRemindMeLater: (days: number) => void;
    onRemindLaterClick: () => Promise<void>;
    messageContentRenderer: () => JSX.Element;
    render(): JSX.Element | null;
}
declare const mapStateToProps: (state: Istate) => {
    showWebPushMsg: boolean;
};
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const mapDispatchToProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    setContext: any;
    handleHideMsg: any;
    handleShowMsg: any;
    subscribeOnServer: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: PushSubscription;
        };
    } & (<PT extends PushSubscription>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
};
declare type DispatchProps = ReturnType<typeof mapDispatchToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof WebpushContainer, Pick<Iprops & {
    showWebPushMsg: boolean;
} & {
    setContext: any;
    handleHideMsg: any;
    handleShowMsg: any;
    subscribeOnServer: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: PushSubscription;
        };
    } & (<PT extends PushSubscription>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
}, "context" | "onCancel" | "onSubscribe" | "onMessageDisplayStatusChange" | "serviceWorkerUrl">>;
export default _default;
//# sourceMappingURL=webpushContainer.d.ts.map