import React from 'react';
export interface IframeProps {
    html: string;
    onContentChange?: {
        selector: string;
        onChange: (value: string) => void;
    };
    fixedHeight?: string;
}
export declare class Iframe extends React.Component<IframeProps> {
    iframeRef: React.RefObject<HTMLIFrameElement>;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<{
        html: string;
    }>, prevState: Readonly<{}>, snapshot?: any): void;
    loadHtml: () => void;
    static removeUnits(input: string): number;
    setIframeHeight: (iframe: HTMLIFrameElement) => void;
    render(): JSX.Element;
}
//# sourceMappingURL=Iframe.d.ts.map