import React from 'react';
import { IReportsListPage } from '../pages/ReportsListPage';
import { IReportsPreviewPage } from '../pages/ReportsPreviewPage';
import { ComponentsTypesWithProps } from '../../../providers/DynamicComponent';
declare type Components = {
    ReportsListPage: IReportsListPage;
    ReportsPreviewPage: IReportsPreviewPage;
};
export interface IReportsRouter {
    components?: ComponentsTypesWithProps<Components>;
}
export declare const ReportsRouter: {
    new (props: Readonly<Pick<IReportsRouter & {
        rootDir: string | undefined;
    }, "components">>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<IReportsRouter & {
        rootDir: string | undefined;
    }, "components">, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsRouter & {
            rootDir: string | undefined;
        }, "components">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
export {};
//# sourceMappingURL=ReportsRouter.d.ts.map